.img-border {
    max-width: 100% !important;
    max-height: 100% !important;
    border-right: 3px solid var(--s-normal) !important;
}

.text-line {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.category-color, 
.category-color:hover {
    color: var(--s-normal) !important;
    font-weight: 600;
}
.category-color .far.fa-folder:hover,
.category-color .far.fa-folder:focus {
    color: var(--s-dark) !important;
}
.declaracao .btn-primary .fa-plus {
    margin-left: 0.5em;
    color: #f4c001;
}
.declaracao .btn-primary[aria-expanded="true"] {
    background: #282c2d;
}
.declaracao .btn-primary[aria-expanded="true"] .fa-plus {
    transform: rotate(45deg);
}
.declaracao .well {
    border-radius: 0;
    border: 1px solid #666;
}


/* Convenio */
.view-convenio .container-convenio .body-convenio {
	box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.3);
    background-color: #CECECE7A !important;
    padding: 1rem;
    border-radius: 0;
    margin: 1rem;
    border-radius: 10px;
}

.view-convenio .container-convenio .body-convenio .esp_descricao{
    border-radius: 0;
    padding: 1rem 0 1rem 0  !important;
    position: relative;
    border-radius: 0 0 1rem 1rem;
    color: black;
    background-color: transparent;
}

.view-convenio .container-convenio .body-convenio .card-Text{
    margin-bottom: 5px;
    font-size: 15px;
    font-weight: 500;
    display: flex;
    justify-content:start;
    gap: 10px;
    align-items: center;
}

.view-convenio .container__detalhes .detalhes__titulo{
    background: transparent;
    color: var(--p-normal);
    border: none !important;
    font-weight: 500;
    margin: 15px 0;
    width: 100%;
    border-bottom: 1px solid darkgray !important;
    padding: 10px;
}


.view-convenio .container-convenio .body-convenio .card-Text span{  
    font-weight: normal;
}

.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-header{
    background: var(--p-normal);
    color: white;
}

.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-header .btn-close{
    filter: invert(1);
    opacity: 1;
}

.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body{
    color: var(--p-dark);
}

.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body .form-label{
    width: 100%;
    font-weight: 500 !important;
    font-size: 1rem;
    border-bottom: 1px solid #d4d4d494;
    padding: 4px 0;
}
.form-label[for="jform_avaliacao"]{
    border: none !important;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body .form-label .text-muted{
    font-size: 12px;
    opacity: .7;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body textarea{
    border: 1px solid #00000061;
    border-radius: 1rem !important;
    padding: 1rem;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body .star-rating{
    justify-content: center !important;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-body .star-rating .star-label{
    font-size: 2.6rem !important;
}

.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-footer{
    justify-content: center;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-footer .btn{
    font-weight: 500;
    background: var(--p-darker);
    border-radius: 3rem;
    padding: 7px 24px;
}
.view-convenio .container-convenio .body-convenio #modalReclamacao .modal-footer .btn-success{
    background-color: var(--p-normal) !important;
    border-color: var(--p-normal) !important;
}

.view-convenio .container-convenio .body-convenio .reports .btn{
    padding: 0;
    font-weight: 500;
    font-size: 14px;
    border: none;
    transition: .4s ease-in-out;
}
.view-convenio .container-convenio .body-convenio .reports .btn:hover{
    padding: 0px 4px;
}

.botao__detalhes{
    display: flex;
    align-items: center;
    font-size: 1rem;
    margin: 0 0 5px 0 !important;
    background-color: var(--s-normal) !important;
    color: white;
    font-weight: 700;
}
.botao__detalhes::before{
    display: flex;
    align-items: center;
    font-family: "Font Awesome 6 Free";
    content: "\2b";
    color: #fff;
    margin-right: 5px;
    font-size: 1.2rem;
    font-weight: 900;
}
.botao__detalhes:hover {
    border-color: #ffffff !important;
    background-color: #ffffff !important;
    color: var(--s-normal) !important;
    box-shadow: 1px 1px 5px #000000;
    transition: 0.3s;
}
.botao__detalhes:hover::before {
    color: var(--s-normal) ;
    transition: 0.3s;
}
.botao_convenio{
    border-radius: 3rem;
    padding: 8px 10px;
    background: var(--p-normal);
    display: flex;
    align-items: center;
    font-size: 15px;
    color: white;
    font-weight: 400;
}
.botao_convenio:hover{
    text-decoration: underline;
    cursor: pointer;
    color: white;
}
/* .botao_convenio:before {
    font-family: "Font Awesome 5 Free";
    content: "\f35d";
    font-weight: 900;
    color: var(--s-normal);
    font-size: 1.2rem;
    padding-right: 0.5rem;
} */
.titulo__convenio{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    font-size: 1.9rem !important;
}

.container_descricao .img_container16y9  img{
    height: 100%;
    width: 100%;
    border-radius: 5px !important;
    margin: 0 !important;
    background-color: white ;
    object-fit: contain !important;
    padding: 0 1rem;
}
.container_descricao .item-convenio .img-icon{
    border-radius: 100%;
    padding: 10px;
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.espaco__descricao{
    width: 0 !important;
}
.container__detalhes {
    font-size: 1rem;
    margin-bottom: 0 !important;
    align-items: flex-start !important;
    justify-content: flex-start !important;
}

.titulo__desconto{
    font-family: Raleway, sans-serif;
    font-weight: 300;
    font-size: 15px;
    margin-right: 20px;
    margin-bottom: 0 !important;
    display: flex;
    align-items: center;
    cursor: default;
}

.cupom__desconto{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
    height: 30px;
    border-radius: 10px;
    filter: drop-shadow(0px 27px 57px rgba(0, 0, 0, 0.25));
    background-color: #ffffff;
    width: auto;
    padding: 0 7px;
    max-width: 130px;
    border-bottom: 3px solid var(--s-normal);
    color: #424242;
    margin: 0 !important;
}

/* .detalhes__titulo::before{
    font-family: "Font Awesome 5 Free";
    content: "\f03a";
    font-weight: 900;
    padding-right: 0.5rem;
} */
.bordas__desconto{
    border-radius: 5px 0 0 5px;
    border: 1px solid #000000 !important;
    padding: 0.5rem 1rem;
    font-size: 1.2rem;
}
.botao__enviar{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--s-normal);
    border-color: var(--s-normal);
    color: #fff;
    border-radius: 0 5px 5px 0;
    margin-left: -3px;
    font-size: 1.2rem;
}
.botao__enviar:hover{
    background-color: #fff;
    border-color: #000000;
    color: var(--s-normal);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;
}

.view-convenio .declaracao .btn-primary {
    border-radius: 3rem !important;
    background-color: var(--p-normal);
    font-size: 17px;
    border-color: var(--p-normal);
}
.view-convenio .declaracao .btn-primary .fa-plus {
    margin-left: 0.5em;
    color: white;
}

@media screen and (max-width: 767px){
    .view-convenio .declaracao #form-declaracao .input-group{
        justify-content: center;
        gap: 1rem;
    }
    .view-convenio .declaracao #form-declaracao .input-group input{
        width: 100%;
    }
}

.view-convenio .declaracao #declaracaoAssociativa input{
    border-radius: 3rem !important;
}

@media screen and (max-width: 1199px){
    .esp_descricao{
        justify-content: flex-start !important;
   }
    .esp_img{
        justify-content: center !important;
   }
    .container_descricao{
        margin-bottom: 1rem;
   }
    .detalhes__titulo{
        font-size: 1.4rem;
   }

    .container__detalhes {
        margin-top: 1rem !important;
   }
}
@media screen and (max-width: 991px){
  
    .botao_convenio{
        font-size: 1rem;
   }
    .botao__detalhes{
        font-size: 2rem;
   }
    .botao__detalhes::before{
        font-size: 2rem;
   }
}

@media screen and (max-width: 533px){
    .container__desconto {
        flex-direction: column;
   }
    .botao__detalhes{
        font-size: 1rem;
   }
    .botao__detalhes::before{
        font-size: 1rem;
   }
}
@media screen and (max-width: 480px){
    .container__desconto {
        flex-direction: column;
   }
}

@media screen and (max-width: 394px){
    .container_descricao{
        margin-bottom: 8rem;
   }
    .detalhes__titulo{
        font-size: 1.2rem;
   }
}
@media screen and (max-width: 353px){
    .detalhes__titulo{
        font-size: 1rem;
    }
    .titulo__desconto{
        font-size: 1rem;
    }
}
@media screen and (max-width: 351px){
    .botao_convenio{
        font-size: 0.9rem;
   }
    .titulo__convenio{
        font-size: 1.5rem !important;
   }
}
@media screen and (max-width: 320px){
    .container_descricao{
        margin-bottom: 4rem;
   }
}

.star-rating input:checked ~ label,
.star-rating label:hover,
.star-rating label:hover ~ label {
    color: #f5a623 !important;
}
.star-rating input:checked + label {
    color: #f5a623 !important;
}
.star-label:hover,
.star-label:hover ~ .star-label {
    color: #f5a623 !important;
}

.com-smartconvenios.view-reclamacaoform #form-reclamacao div[role="tablist"],
.com-smartconvenios.view-reclamacaoform #form-reclamacao button[aria-controls="convenio"],
.com-smartconvenios.view-parceiroform #form-parceiro div[role="tablist"],
.com-smartconvenios.view-parceiroform #form-parceiro button[aria-controls="parceiro"],
.com-smartconvenios.view-sugestaoform #form-sugestao div[role="tablist"],
.com-smartconvenios.view-sugestaoform #form-sugestao button[aria-controls="sugestao"]{
    display: none;
}

.com-smartconvenios.view-reclamacaoform #form-reclamacao #convenio,
.com-smartconvenios.view-parceiroform #form-parceiro #parceiro,
.com-smartconvenios.view-sugestaoform #form-sugestao #sugestao{
    border: none;
    box-shadow: 1px 3px 10px -2px #0000008a;
    margin-top: 1rem;   
    border-radius: 1rem;
}

.com-smartconvenios.view-reclamacaoform #form-reclamacao .form-control,
.com-smartconvenios.view-reclamacaoform #form-reclamacao select,
.com-smartconvenios.view-reclamacaoform #form-reclamacao .choices__inner {
    border: 1px solid #0000007a;
}
.com-smartconvenios.view-reclamacaoform #form-reclamacao .control-label,
.com-smartconvenios.view-sugestaoform #form-sugestao .control-label{
    float: initial;
}


.com-smartconvenios.view-reclamacaoform #form-reclamacao #input_anexo .control-group{
    margin-bottom: 0;
}

#jform_anexo::file-selector-button,
#jform_proposta::file-selector-button {
    padding: 6px 10px;
    margin-right: 11px;
    font-size: 12px;
    font-weight: 500;
    color: #fff;
    background-color: var(--p-darker);
    border: none;
    border-radius: 0;
    opacity: .7;
    height: 50px;
    cursor: pointer;
    transition: background-color 0.2s ease;
}

#jform_anexo::file-selector-button:hover,
#jform_proposta::file-selector-button:hover {
    background-color: #0b5ed7;
}

.com-smartconvenios.view-reclamacaoform #sp-main-body .btn,
.com-smartconvenios.view-parceiroform   #sp-main-body .btn,
.com-smartconvenios.view-sugestaoform #sp-main-body .btn{
    font-weight: 500;
    background: var(--p-darker);
    border-color: var(--p-darker);
    border-radius: 3rem;
    padding: 7px 24px;
}
.com-smartconvenios.view-reclamacaoform #sp-main-body .btn-primary,
.com-smartconvenios.view-parceiroform #sp-main-body .btn-primary,
.com-smartconvenios.view-sugestaoform #sp-main-body .btn-primary{
    background-color: var(--p-normal);
    border-color: var(--p-normal);
}